Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class ScanJobInfo

    java.lang.Object
      org.linuxsampler.lscp.ScanJobInfo

All Implemented Interfaces:
  Parseable

    public class ScanJobInfo

extends java.lang.Object
implements Parseable

Provides information about a running scan job.

Field Summary
`int` | `filesScanned`
`int` | `filesTotal`
`java.lang.String` | `scanning`
`int` | `status`

Constructor Summary
`ScanJobInfo(java.lang.String[] resultSet)` Creates a new instance of `ScanJobInfo`.

Method Summary
`boolean` | `isFinished()` Determines whether the job is finished.
`boolean` | `parse(java.lang.String s)` Parses a line of text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### filesTotal

    public int filesTotal

### filesScanned

    public int filesScanned

### scanning

    public java.lang.String scanning

### status

    public int status

Constructor Detail

### ScanJobInfo

    public ScanJobInfo(java.lang.String[] resultSet)
                throws LscpException

  Creates a new instance of `ScanJobInfo`.

  Parameters:
    `resultSet` - An array with information categories about a scan job.
  Throws:
    `LscpException`

Method Detail

### isFinished

    public boolean isFinished()

  Determines whether the job is finished. Note that a negative value of `status` indicates error.

### parse

    public boolean parse(java.lang.String s)
                  throws LscpException

  Parses a line of text.

  Specified by:
    `parse` in interface `Parseable`
  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.
  Throws:
    `LscpException` - If some error occurs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.